Summary: IPX RIP/SAP daemon - routing for IPX networks
Name: ipxripd
Version: 0.7
Release: 2
Source: ipxripd-%{PACKAGE_VERSION}.tar.gz
Source1: ipxripd.init
Patch: ipxripd-rh5.patch
Patch1: ipxripd-rh-6.1.patch
BuildRoot: /tmp/ipxripd-%{PACKAGE_VERSION}-root
Copyright: GPL
Vendor: Volker Lendecke <lendecke@namu01.gwdg.de>
Group: Networking/Daemons
%description
ipxripd is an implementation of Novell's RIP and SAP protocols. It 
automagically builds and updates IPX routing table in the Linux kernel.
Usefull when trying to get a Linux box to act as an IPX router.

%prep
%setup -n ipxripd
%patch  -p1
%patch1 -p0
%build
make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/man/man8
install -d $RPM_BUILD_ROOT/usr/man/man5
install ipxd -s $RPM_BUILD_ROOT/usr/sbin
install ipxd.8 $RPM_BUILD_ROOT/usr/man/man8
install ipx_ticks.5 $RPM_BUILD_ROOT/usr/man/man5

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp $RPM_SOURCE_DIR/ipxripd.init  $RPM_BUILD_ROOT/etc/rc.d/init.d/ipxd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc COPYING README ipx_ticks ipxripd-0.7.lsm
%attr(755, root, root) /usr/sbin/ipxd
%attr(755, root, root) /etc/rc.d/init.d/ipxd
%attr(644, root, man) /usr/man/man8/ipxd.8
%attr(644, root, man) /usr/man/man5/ipx_ticks.5

%changelog
*  Tue Dec 14 1999 Joerg Dorchain <joerg@dorchain.net>
-  added init script

*  Wed Jul  8 1998 Andrzej K. Brandt <andy@mnich.ml.org>
- First version of the RPM package
- Added a quick and dirty hack to this thing to compile under glibc
  i tested it and it works fine


